<?PHP
// ------------------------------------------------------------------------- //
// <G a n e s h a> - Free Web Based Training System                          //
// ------------------------------------------------------------------------- //
// <G a n e s h a> - Plate-forme de téléformation gratuite et en open source //
// ------------------------------------------------------------------------- //
// Copyright (C) 2001-2003  Anéma Formation  <http://www.anema.fr/>          //
// ------------------------------------------------------------------------- //
//            Developer : Georges CALDEIRA <gcaldeira@anemalab.org>          //
// ------------------------------------------------------------------------- //
//               Infos on project <http://anemalab.org/>                     //
// ------------------------------------------------------------------------- //
//  This program is free software; you can redistribute it and/or modify     //
//  it under the terms of the GNU General Public License as published by     //
//  the Free Software Foundation; either version 2 of the License, or        //
//  (at your option) any later version.                                      //
//                                                                           //
//  This program is distributed in the hope that it will be useful,          //
//  but WITHOUT ANY WARRANTY; without even the implied warranty of           //
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            //
//  GNU General Public License for more details.                             //
//                                                                           //
//  You should have received a copy of the GNU General Public License        //
//  along with this program; if not, write to the Free Software              //
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA //
// ------------------------------------------------------------------------- //

/**
* Page exportation
*
* @author	Georges Caldeira <gcaldeira@anemalab.org>
* @package	GaneshaCommun
*/
	/**
	* include des fichiers + verification de la cnx
	*/
	include_once("anema.inc.php");
	
	secure_admin();

	define('FORMAT',	$HTTP_GET_VARS['format'])	;	
	define('MENU',		$HTTP_GET_VARS['menu'])		;
	define('PAGE',		HTTP_COMMUN."p_export.php?connexion=".$gconnexionid);


	switch(MENU) {
	case MENU_SOCIETE :
						$ret = $ClsMembre->readCompanyExport();
						break;
	case MENU_GROUPE :
						$ret = $ClsGroupe->readExport();
						break;
						
	default : die('Pas encore. Soyez patient ;) ');
	}

	if ( FORMAT == EXPORT_XML ) {
		print($ret['result']);
		exit();
	} else {
		$ClsExcel->ExcelStart();
		$ClsExcel->WriteText( 2, 1,$ret['mtitre'] );	
		for ($i=0;$i<count($ret['titre']);$i++) {
			$ClsExcel->WriteText( 4, 1+$i,$ret['titre'][$i] );
		}
		$line = 5 ; 
		for ($i=0;$i<$ret['result']['cnt'];$i++) {
			$col = 1 ;
			for($j=0; $j<count($ret['result'][$i]); $j++) {
				$ClsExcel->WriteText($line, $col++, $ret['result'][$i][$j]);
			}
			$line ++ ;
		}
		$ClsExcel->SendFile();
	}

?>